<?php

require_once "vendor/autoload.php";

use App\Libreria\Conexion; new Conexion();
use App\Models\Nivel;

require_once('session.php');
$count = 0;
foreach ($_SESSION['privilegios'] as $key) {
    if ($key->nombre == "privilegios") {
        $count++;
    }
}
if ($count == 0) {
    echo "acceso denegado";
    die();
}


$loader = new \Twig\Loader\FilesystemLoader('public/views');
$twig = new \Twig\Environment($loader, [
    'debug' => true,
    'cache' => false,
]);

$respuesta = null;
if (isset($_SESSION['respuesta'])) {
    $respuesta = $_SESSION['respuesta'];
    unset($_SESSION['respuesta']);
}
echo $twig->render('/acceso/tipo_acceso.html',[
    'respuesta' => $respuesta,
    'niveles' => Nivel::all(),
    'user' => $_SESSION['user'],
    'privilegios' => $_SESSION['privilegios']
]);